# Module: `menubar.menu_gen`

Menu generation module for menubar

### Info:

- Copyright: 2009, 2011-2012 Antonio Terceiro, Alexander Yakushev
- Originally authored by: Antonio Terceiro
  (Full contributors list available on our github project)

## Static module functions

menubar.menu_gen.generate (callback) | Generate an array of all visible menu entries. |

## Tables

menubar.menu_gen.all_categories | Specify the mapping of .desktop Categories section to the categories in the menubar. |

## Fields

menubar.menu_gen.all_menu_dirs | N/A | Specifies all directories where menubar should look for .desktop files. |

## Static module functions

🔗 menubar.menu_gen.generate (callback)
  Generate an array of all visible menu entries.

  ### Parameters:

  Name |  | Type(s) | Description
  --- | --- | --- | ---
  callback |  | table | Will be fired when all menu entries were parsed with the resulting list of menu entries as argument.
  entries |  | table | All menu entries.

## Tables

🔗 menubar.menu_gen.all_categories
  Specify the mapping of .desktop Categories section to the categories in the menubar. If "use" flag is set to false then any of the applications that fall only to this category will not be shown.

  ### Fields:

  Name |  | Type(s) | Description
  --- | --- | --- | ---
  multimedia |  |  |
  name |  |  |
  icon_name |  |  |
  use |  |  |

## Fields

🔗 menubar.menu_gen.all_menu_dirs N/A
  Specifies all directories where menubar should look for .desktop files. The search is recursive.

generated by LDoc 1.5.0